/*
     File: EditFunctions.h
     Author: Cheryl Buck
     Last Modified: 21 February 1990
     Purpose: Functions used in writing a section out to a file
*/

extern int FindClosestPoint(/*SelectedPoint, Closest, TheSection */);
/* sgpPointType SelectedPoint;
   PointLocator *Closest;
   Section *TheSection;
*/

extern void DeletePointFromSection(/* WhatPoint, TheSection */);
/* 
   PointLocator WhatPoint;
   Section *TheSection;
*/

extern void AddPointToSection(/*WhatPoint, TheSection, ThePoint*/);
/*
   PointLocator WhatPoint;
   Section *TheSection;
   sgpPointType ThePoint;
*/

extern void MovePointInSection(/*WhatPoint, TheSection, NewPoint */);
/* 
   PointLocator WhatPoint;
   Section *TheSection;
   sgpPointType NewPoint;
*/

extern int CheckForLocalAdjacency(/*WhatPoint, &AdjPoint, TheSection */);
/*
   PointLocator WhatPoint, *AdjPoint;
   Section *TheSection;
*/

extern int CheckForAdjacentAdjacency(/*WhatPoint, &LocalPoint, TheSection */);
/*
   PointLocator WhatPoint, *LocalPoint;
   Section *TheSection;
*/

extern void WriteNewFile(/*OldFile, NewFile, CurrentSectionNum, CurrentSection,
			     MaxSections, SData*/);
/*
   FILE *OldFile, *NewFile;
   int CurrentSectionNum, MaxSections;
   Section *CurrentSection;
   SectionSize *SData;
*/

extern void EraseAPoint(/* WhatPoint, TheSection */);
/*
   PointLocator WhatPoint;
   Section *TheSection;
*/
